=== debian/changelog ===
golang-code-gitea-sdk (0.17.0-1) unstable; urgency=medium

  * Initial release (Closes: #1058689)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Thu, 21 Dec 2023 22:31:40 +0530
