=== debian/watch ===
version=3
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      pgpmode=none" \
  https://gitea.com/gitea/go-sdk/releases archive/gitea/@ANY_VERSION@@ARCHIVE_EXT@
