## golang-code-gitea-sdk 0.22.0

=== Makefile ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 PACKAGE := code.gitea.io/sdk/gitea
 
-GOFUMPT_PACKAGE ?= mvdan.cc/gofumpt@v0.4.0
-GOLANGCI_LINT_PACKAGE ?= github.com/golangci/golangci-lint/cmd/golangci-lint@v1.51.0
+GOFUMPT_PACKAGE ?= mvdan.cc/gofumpt@v0.8.0
+GOLANGCI_LINT_PACKAGE ?= github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.1.6
 GITEA_VET_PACKAGE ?= code.gitea.io/gitea-vet@v0.2.1
 
-GITEA_VERSION := 1.18
+GITEA_VERSION ?= 1.23.7
 GITEA_DL := https://dl.gitea.com/gitea/$(GITEA_VERSION)/gitea-$(GITEA_VERSION)-
 UNAME_S := $(shell uname -s)
 ifeq ($(UNAME_S),Linux)
@@ -46,7 +46,7 @@
 	@echo " - build             build sdk"
 	@echo " - clean             clean"
 	@echo " - fmt               format the code"
-	@echo " - lint              run golint"
+	@echo " - ci-lint           run golint"
 	@echo " - vet               examines Go source code and reports"
 	@echo " - test              run unit tests (need a running gitea)"
 	@echo " - test-instance     start a gitea instance for test"
@@ -72,13 +72,13 @@
 	cd gitea && $(GO) vet -vettool=gitea-vet $(PACKAGE)
 
 .PHONY: ci-lint
-ci-lint: 
+ci-lint:
 	@cd gitea/; echo -n "gofumpt ...";\
 	diff=$$($(GO) run $(GOFUMPT_PACKAGE) -extra -l .); \
 	if [ -n "$$diff" ]; then \
 		echo; echo "Not gofumpt-ed"; \
 		exit 1; \
-	fi; echo " done"; echo -n "golangci-lint ...";\
+	fi; echo " done"; echo -n "golangci-lint ..."; $(GO) version;\
 	$(GO) run $(GOLANGCI_LINT_PACKAGE) run --timeout 5m; \
 	if [ $$? -eq 1 ]; then \
 		echo; echo "Doesn't pass golangci-lint"; \
@@ -121,4 +121,3 @@
 .PHONY: build
 build:
 	cd gitea && $(GO) build
-
