=== debian/changelog ===
golang-code-gitea-sdk (0.22.0-1) unstable; urgency=medium

  * New upstream version 0.22.0
  * d/control: Add golang-github-42wim-httpsig-dev (Build-)Depends
  * Update my maintenance address

 -- Maytham Alsudany <maytham@debian.org>  Thu, 23 Oct 2025 09:59:59 +0800

golang-code-gitea-sdk (0.17.0-2) unstable; urgency=medium

  * Team Upload.
  [ Maytham Alsudany ]
  * Add <!nocheck> constraint to stretchr-testify B-Dep
  * Fix Vcs fields in d/control
  * Add v tag prefix to d/watch

 -- Nilesh Patra <nilesh@debian.org>  Sat, 23 Dec 2023 13:35:46 +0530
