=== debian/control ===
Source: golang-code-gitea-sdk
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Maytham Alsudany <maytham@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-go-fed-httpsig-dev,
               golang-github-hashicorp-go-version-dev,
               golang-golang-x-crypto-dev,
               golang-github-42wim-httpsig-dev,
               golang-github-stretchr-testify-dev <!nocheck>,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-code-gitea-sdk
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-code-gitea-sdk.git
Homepage: https://gitea.com/gitea/go-sdk
XS-Go-Import-Path: code.gitea.io/sdk

Package: golang-code-gitea-sdk-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-go-fed-httpsig-dev,
         golang-github-hashicorp-go-version-dev,
         golang-golang-x-crypto-dev,
         golang-github-42wim-httpsig-dev,
         ${misc:Depends}
Description: Gitea SDK for Go (library)
 This project acts as a client SDK implementation written in Go for the Gitea
 API, empowering Go programs with the ability to interact with Gitea instances.
