=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_test:
	# Requires a test instance of Gitea to run tests. The Makefile has a
	# test-instance target, but it downloads the gitea binary, so it will not be
	# used. Feel free to reenable tests once Gitea is packaged in Debian.
